Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQChannel.BlockingRpcContinuation<T>

    java.lang.Object
      com.rabbitmq.client.impl.AMQChannel.BlockingRpcContinuation<T>

All Implemented Interfaces:
  AMQChannel.RpcContinuation

Direct Known Subclasses:
  AMQChannel.SimpleBlockingRpcContinuation

Enclosing class:
  AMQChannel

    public abstract static class AMQChannel.BlockingRpcContinuation<T>

extends java.lang.Object
implements AMQChannel.RpcContinuation

Field Summary
`BlockingValueOrException<T,ShutdownSignalException>` | `_blocker`

Constructor Summary
`AMQChannel.BlockingRpcContinuation()`

Method Summary
`T` | `getReply()`
`T` | `getReply(int timeout)`
`void` | `handleCommand(AMQCommand command)`
`void` | `handleShutdownSignal(ShutdownSignalException signal)`
`abstract T` | `transformReply(AMQCommand command)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _blocker

    public final BlockingValueOrException<T,ShutdownSignalException> _blocker

Constructor Detail

### AMQChannel.BlockingRpcContinuation

    public AMQChannel.BlockingRpcContinuation()

Method Detail

### handleCommand

    public void handleCommand(AMQCommand command)

  Specified by:
    `handleCommand` in interface `AMQChannel.RpcContinuation`

### handleShutdownSignal

    public void handleShutdownSignal(ShutdownSignalException signal)

  Specified by:
    `handleShutdownSignal` in interface `AMQChannel.RpcContinuation`

### getReply

    public T getReply()
               throws ShutdownSignalException

  Throws:
    `ShutdownSignalException`

### getReply

    public T getReply(int timeout)
               throws ShutdownSignalException,
                      java.util.concurrent.TimeoutException

  Throws:
    `ShutdownSignalException`
    `java.util.concurrent.TimeoutException`

### transformReply

    public abstract T transformReply(AMQCommand command)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD